edbrowse(1)

NAME
edbrowse - text editor and web browser

SYNOPSIS
edbrowse [ file1 ] [ file2 ] ...

edbrowse [ url1 ] [ url2 ] ...

DESCRIPTION
(This manual page was written for the Debian GNU/Linux distribution because the original program does not have a man page. Instead the program is documented in detail in the HTML documentation that accompanies the program; see below.)

edbrowse is a line-oriented text editor very similar to ed(1), It is used to create, display, modify and otherwise manipulate text files.

In addition edbrowse can be used to display web pages and edit the contents of these pages. It supports the use of forms and Javascript in web pages.

If edbrowse is invoked with a file argument, then a copy of file is read into the editor's buffer. If it is invoked with a url argument, then the url is read into the editor's buffer and the HTML is rendered as text. Changes are made to this copy and not directly to file or url itself.

Please refer to ed(1) for further details regarding the editing commands. Explanation of the browsing functions can be found in the HTML documentation.

EXAMPLES
To read the HTML documentation on a Debian system you can do

    edbrowse file:///usr/share/doc/edbrowse/edbdoc.html

To read (say) 20 lines of the buffer at a time starting from the top use the command `1z20' followed by repeating `z' to scroll another 20 lines at a time.

To quit the editor completely type `qt' . Upon quitting edbrowse, any changes not explicitly saved with a `w' command are lost. The `w' command does not apply to URLs but one can save the corresponding buffer to a file by the command w file.

OPTIONS

-h  Display the usage message.

-e  Batch mode. This options causes edbrowse to exit when it encounters an error.

-d? Debug level. Can be set to a value between 0 and 9. The default is 1 which prints the sizes of buffers. Some people like 2 which prints out URLs as they are retrieved. This value can be changed within the editor with the dbx command with x a value betwen 0 and 9.

-c  Edit config file. This command supresses the processing of the configuration file $HOME/.ebrc and starts editing it instead. This option is useful if this file is syntactically incorrect or otherwise corrupted.

FILES

$HOME/.ebrc
    Configuration file. The file which edbrowse reads when it starts up. If the file exists then it must be syntactically correct.

DIAGNOSTICS
When an error occurs, if edbrowse it prints a `?' and returns to command mode. An explanation of the last error can be printed with the `h' (help) command.

Attempting to quit edbrowse with the `q' command or trying to edit another file before writing a modified buffer results in an error. If the command is entered a second time, it succeeds, but any changes to the buffer are lost.

BUGS
This manual page is not complete. Users should refer to the HTML documentation for fuller details of the configuration options and for details of the use of edbrowse.

SEE ALSO
ed(1), sed(1), pcrepattern(3).

The provides greater detail about the program.

AUTHORS
This manual page was originally written by Kapil Hari Paranjape <kapil@imsc.res.in>, for the Debian GNU/Linux system (but it may be used by others).

The edbrowse program is written by Karl Dahlke <eklhad@gmail.com>. The author maintains for the program.